defmodule Wish.WishlistFixtures do
  @moduledoc """
  This module defines test helpers for creating
  entities via the `Wish.Wishlist` context.
  """

  @doc """
  Generate a item.
  """
  def item_fixture(attrs \\ %{}) do
    {:ok, item} =
      attrs
      |> Enum.into(%{
        description: "some description",
        desire: 42,
        received: true,
        title: "some title",
        url: "some url"
      })
      |> Wish.Wishlist.create_item()

    item
  end
end
